Bug 50285 - [chromium] histograms api updated in WebKitClient and added to ChromiumBridge
Summary: [chromium] histograms api updated in WebKitClient and added to ChromiumBridge
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-30 16:21 PST by Vincent Scheib
Modified: 2010-12-02 08:33 PST (History)
2 users (show)

See Also:


Attachments
Patch (5.80 KB, patch)
2010-11-30 16:47 PST, Vincent Scheib
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vincent Scheib 2010-11-30 16:21:04 PST
[chromium] histograms api updated in WebKitClient and added to ChromiumBridge
Comment 1 Vincent Scheib 2010-11-30 16:47:46 PST
Created attachment 75225 [details]
Patch
Comment 2 Darin Fisher (:fishd, Google) 2010-12-01 10:56:04 PST
Comment on attachment 75225 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=75225&action=review

> WebCore/platform/chromium/ChromiumBridge.h:242
> +        static void histogramCustomCounts(const char* name, int sample, int min, int max, int bucketCount);

Why the "custom" modifier?  Why not just call this histogramCounts?
Comment 3 Vincent Scheib 2010-12-01 13:09:55 PST
Comment on attachment 75225 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=75225&action=review

>> WebCore/platform/chromium/ChromiumBridge.h:242
>> +        static void histogramCustomCounts(const char* name, int sample, int min, int max, int bucketCount);
> 
> Why the "custom" modifier?  Why not just call this histogramCounts?

This mimics the low level api name used in Chromium HISTOGRAM_CUSTOM_COUNTS, the name HISTOGRAM_COUNTS is used with only two parameters (name, sample).
Comment 4 Darin Fisher (:fishd, Google) 2010-12-01 13:15:08 PST
Comment on attachment 75225 [details]
Patch

Ah, R=me
Comment 5 WebKit Commit Bot 2010-12-02 08:31:39 PST
The commit-queue encountered the following flaky tests while processing attachment 75225 [details]:

http/tests/misc/copy-resolves-urls.html

Please file bugs against the tests.  These tests were authored by tony@chromium.org.  The commit-queue is continuing to process your patch.
Comment 6 WebKit Commit Bot 2010-12-02 08:33:27 PST
Comment on attachment 75225 [details]
Patch

Clearing flags on attachment: 75225

Committed r73137: <http://trac.webkit.org/changeset/73137>
Comment 7 WebKit Commit Bot 2010-12-02 08:33:32 PST
All reviewed patches have been landed.  Closing bug.